Get Onboarding
The Get Onboarding API allows you to retrieve onboarding information for a specified business.
Resource Access
Production (api.ahrvo.network)
GET https://api.ahrvo.network/banking/yield/v1/businesses/{businessId}/onboarding
Staging (gateway.ahrvo.network)
GET https://gateway.ahrvo.network/banking/yield/v1/businesses/{businessId}/onboarding
Path Parameters
| Parameter | Required | Type | Description | Example |
|---|---|---|---|---|
businessId | Yes | string | The unique identifier for the business | eaeee8b9-d043-0d9e-4cd0-7fcae504e00d |
Response
| Field | Type | Description | Example |
|---|---|---|---|
id | string | Unique business ID | eaeee8b9-d043-0d9e-4cd0-7fcae504e00d |
legal_name | string | Legal name of the business | Ahrvo Network Financial |
doing_business_as | string | Doing business as name | Ahrvo Network |
status | string | Business status | CLOSED |
sub_status | string | Business sub-status | cupidatat adipisicing |
user_data | object | User data object | {"deserunt2": true, "sint2": 69510956.00821519} |
created_at | string | Creation timestamp (ISO 8601) | 2022-01-01T00:00:00.000Z |
updated_at | string | Last update timestamp (ISO 8601) | 2022-01-01T00:00:00.000Z |
Sample Request
GET /banking/yield/v1/businesses/eaeee8b9-d043-0d9e-4cd0-7fcae504e00d/onboarding HTTP/1.1
Host: <hostname>
Authorization: Bearer <JWT token>
x-api-key: {apiKey}
Sample Response
{
"legal_name": "Ahrvo Network Financial",
"id": "eaeee8b9-d043-0d9e-4cd0-7fcae504e00d",
"created_at": "2022-01-01T00:00:00.000Z",
"updated_at": "2022-01-01T00:00:00.000Z",
"doing_business_as": "Ahrvo Network",
"status": "CLOSED",
"sub_status": "cupidatat adipisicing",
"user_data": {
"deserunt2": true,
"sint2": 69510956.00821519,
"enim_12": true,
"nulla_15": 27801090.432306945
}
}
HTTP/1.1 200 OK